<?php
/**
 * Register a meta box using a class.
 */

class TncPvfwCustomMetabox {
  public function __construct() {    
    add_action('add_meta_boxes', [$this,'tnc_pvfw_doc_meta_box']);
    add_action('add_meta_boxes', [$this,'tnc_pvfw_add_upgrade_pro_meta_box']);
    add_action('add_meta_boxes', [$this,'tnc_pvfw_review_meta_box']);
  }

  public function tnc_pvfw_doc_meta_box(){
    add_meta_box('tnc_pvfw_metabox_doc', esc_html__( 'Documentation', 'pdf-viewer-by-themencode' ), array( $this, 'tnc_pvfw_doc_meta_box_markup' ), 'pdfviewer', 'side', 'default');
  }

  public function tnc_pvfw_add_upgrade_pro_meta_box(){
    add_meta_box('tnc_pvfw_metabox_upgrade_pro', esc_html__( 'TNC PDF Upgrade Pro', 'pdf-viewer-by-themencode' ), array( $this, 'tnc_pdf_upgrade_prop_meta_box_markup' ),'pdfviewer', 'side', 'default');
  }

  public function tnc_pvfw_review_meta_box(){
    add_meta_box("tnc_pvfw_metabox_review", esc_html__( 'TNC PDF Review', 'pdf-viewer-by-themencode' ), array( $this, 'tnc_pvfw_review_meta_box_markup' ), "pdfviewer", "side", 'default');
  }


  public function tnc_pvfw_doc_meta_box_markup() {
    $tnc_pvfw_metabox_doc_url = 'https://docs.themencode.com/docs/pdf-viewer-by-themencode/';
    ?>
      <div class="tnc_pvfw_metabox_doc_wrapper">
          <div class="tnc_pvfw_metabox_doc_col">
            <div class="tnc_pvfw_metabox_doc_title">
                <h4><?php _e( "Documentation",'pdf-viewer-by-themencode' ); ?></h4>
            </div>
            <div class="tnc_pvfw_metabox_doc_desc">
                <p><?php _e( "Check out our documentation for detailed instructions about setting up and using TNC PDF Viewer!",'pdf-viewer-by-themencode' ); ?></p>
            </div>
            <div class="tnc_pvfw_metabox_docs_btn">
                <a target="_blank" href="<?php echo esc_url( $tnc_pvfw_metabox_doc_url ); ?>"><?php _e( "Documentation", 'pdf-viewer-by-themencode' ); ?></a>
            </div>
          </div>
      </div>
    <?php
  }

  public function tnc_pdf_upgrade_prop_meta_box_markup() {
    $tnc_pvfw_upgrade_url = 'https://codecanyon.net/item/pdf-viewer-for-wordpress/8182815/';
    ?>
      <div class="tnc_pdf_get_pro-wrapper">
        <div class="tnc_pdf_get_pro_row">
        <div class="tnc_pdf_get_pro_col">
            <div class="tnc_pdf_pro_content">
            <h4><?php _e("Upgrade to Premium", 'pdf-viewer-by-themencode' ); ?></h4>
              <p><?php _e("Full Featured FlipBook", 'pdf-viewer-by-themencode' ); ?></p>
          </div>
        </div>
        <div class="tnc_pdf_get_upgrade_btn_col">
            <div class="tnc_pdf_pro_feature">
              <ul>
                <li><span class="dashicons dashicons-yes-alt"></span><?php _e("Fully Featured Flipbook Mode", 'pdf-viewer-by-themencode');?></li>
                <li><span class="dashicons dashicons-yes-alt"></span><?php _e("Unlimited PDF Viewers & Flipbooks", 'pdf-viewer-by-themencode');?></li>
                <li><span class="dashicons dashicons-yes-alt"></span><?php _e("Automatically open all .pdf links with PDF viewer/Flipbook", 'pdf-viewer-by-themencode');?></li>
                <li><span class="dashicons dashicons-yes-alt"></span><?php _e("4 Toolbar Styles/Positions (Top center, Top Fullwidth, Bottom center, bottom fullwidth)", 'pdf-viewer-by-themencode');?></li>
                <li><span class="dashicons dashicons-yes-alt"></span><?php _e("3 Different Icon Size Options.", 'pdf-viewer-by-themencode');?></li>
                <li><span class="dashicons dashicons-yes-alt"></span><?php _e("Add custom CSS & Javascript code in viewer Page", 'pdf-viewer-by-themencode');?></li>
                <li><span class="dashicons dashicons-yes-alt"></span><?php _e("Many Additional Color Themes (New themes Being added regularly)", 'pdf-viewer-by-themencode');?></li>
                <li><span class="dashicons dashicons-yes-alt"></span><?php _e("Customizable with your own color choice.", 'pdf-viewer-by-themencode');?></li>
                <li><span class="dashicons dashicons-yes-alt"></span><?php _e("Option to use global settings while creating individual viewers. Saves a lot of time!", 'pdf-viewer-by-themencode');?></li>
                <li><span class="dashicons dashicons-yes-alt"></span><?php _e("Disable Right click on viewer / Flipbook", 'pdf-viewer-by-themencode');?></li>
                <li><span class="dashicons dashicons-yes-alt"></span><?php _e("Disable Copying on viewer / Flipbook", 'pdf-viewer-by-themencode');?></li>​
              </ul>
            </div>
            <div class="tnc_pdf_upgrade_btn">
              <a target="_blank" href="<?php echo esc_url($tnc_pvfw_upgrade_url);?>"><?php _e("UPGRADE NOW", 'pdf-viewer-by-themencode');?></a>
            </div>
        </div>
        </div>
      </div>
    <?php
  }

  public function tnc_pvfw_review_meta_box_markup() {
    $tnc_pvfw_review_url = 'https://wordpress.org/support/plugin/pdf-viewer-by-themencode/reviews/';
    ?>
      <div class="tnc_pvfw_review_wrapper">
        <div class="tnc_pvfw_review_col">
          <div class="tnc_pvfw_review_title">
            <h4> <?php _e("Enjoying?", 'pdf-viewer-by-themencode');?></h4>
          </div>
          <div class="tnc_pvfw_review_subtitle">
            <p><?php _e("Share your thoughts with the world by leaving a review.", 'pdf-viewer-by-themencode');?></p>
          </div>
          <div class="tnc_pvfw_review_rating">
            <ul>
              <li><span class="dashicons dashicons-star-filled"></span></li>
              <li><span class="dashicons dashicons-star-filled"></span></li>
              <li><span class="dashicons dashicons-star-filled"></span></li>
              <li><span class="dashicons dashicons-star-filled"></span></li>
              <li><span class="dashicons dashicons-star-filled"></span></li>
            </ul>
          </div>
          <div class="tnc_pvfw_review_btn">
            <a target="_blank" href="<?php echo esc_url($tnc_pvfw_review_url);?>"><?php _e("Share Your Experience", 'pdf-viewer-by-themencode');?></a>
          </div>
        </div>
      </div>
    <?php
  }

} // end class TncPvfwCustomMetabox;
