<?php
/**
 * Register admin menu items
 *
 * Only the import menu register.
 *
 * @since [1.0]
 *
 * @package pdf-viewer-by-themencode
 */

add_action( 'admin_menu', 'tnc_pdf_lite_pdf_menu' );

/**
 * [tnc_pdf_menu description]
 */
function tnc_pdf_lite_pdf_menu() {
    add_submenu_page( 'edit.php?post_type=pdfviewer', 'Import PDF File - PDF Viewer for WordPress', 'Import PDF File', 'upload_files', 'themencode-pdf-viewer-import-file', 'tnc_pdf_lite_import_pdf_file_menu', 4 );
}

/**
 * [tnc_import_pdf_file description]
 */
function tnc_pdf_lite_import_pdf_file_menu() {
    if ( ! current_user_can( 'upload_files' ) )  {
        wp_die( __( 'You do not have sufficient permissions to access this page.' ) );
    }
    include dirname( __FILE__ ) . '/import-pdf-file.php';
}


/*
*    Add  Addons & Integrations
*/

add_action('admin_menu', 'tnc_addon_register_my_custom_submenu_page');
 
function tnc_addon_register_my_custom_submenu_page() {
    add_submenu_page( 
		'edit.php?post_type=pdfviewer',
        'Addons & Integrations',
        'Addons & Integrations',
        'manage_options',
        'pdf-addon-integration-page',
        'pdf_viewer_addon_integration_menu',
    );
}
function pdf_viewer_addon_integration_menu() { 

    $divi_url = "https://portal.themencode.com/downloads/divi-pdf-viewer-for-wordpress/";
    $divi_image =  plugin_dir_url(__FILE__).'../images/divi-pdf.png';
    $avada_url = "https://codecanyon.net/item/avada-pdf-viewer-for-wordpress-addon/43992846";
    $avada_image = plugin_dir_url(__FILE__).'../images/avada-pdf.png';
    $elementor_url = "https://codecanyon.net/item/elementor-pdf-viewer-for-wordpress-addon/27575246";
    $elementor_image = plugin_dir_url(__FILE__).'../images/elementor-pdf.png';
    $display_url = "https://portal.themencode.com/downloads/display-pdf-viewer-for-wordpress/";
    $display_image = plugin_dir_url(__FILE__).'../images/displa-pdf.png';
    $wpbakery_url = "https://codecanyon.net/item/pdf-viewer-for-wordpress-visual-composer-addon/17334228";
    $wpbakery_image = plugin_dir_url(__FILE__).'../images/wpbakery-pdf.png';
    $wpfile_url = "https://codecanyon.net/item/wp-file-access-manager/26430349";
    $wpfile_image = plugin_dir_url(__FILE__).'../images/wpfile-pdf.png';
    $navigative_url  = "https://codecanyon.net/item/navigative-pdf-viewer-for-wordpress-adoon/19393796";
    $navigative_image =  plugin_dir_url(__FILE__).'../images/navigative.png';
    $preview_url  = "https://portal.themencode.com/downloads/preview-pdf-viewer-for-wordpress-addon/";
    $preview_image = plugin_dir_url(__FILE__).'../images/Preview-Icon.png';
    
    
    ?>

    <div class="addon-title-wrapper">
        <div class="addon-title-container">
             <h2> <?php _e( get_admin_page_title(), 'pdf-viewer-by-themencode');?></h2>
             <p> <?php _e( 'Here are the available addons and integrations with PDF Viewer for WordPress.', 'pdf-viewer-by-themencode');?> </p>
        </div>
    </div>
    <div class="addon-integration-wrapper">   <?php _e( '', 'pdf-viewer-by-themencode');?>
        <div class="addon-integration-container">
             <div class="addon-integration-grid">
                  <div class="addon-integration-item">
                       <div class="image-wrap">
                          <img src="<?php echo $divi_image; ?>" alt=""> 
                          <h4> <?php _e( 'Divi PDF Viewer', 'pdf-viewer-by-themencode');?> </h4>
                        </div>
                        <div class="item-content">
                              <h3> <?php _e('Using Divi builder? This is a must try Addon for you. Use PDF viewer for WordPress easily.', 'pdf-viewer-by-themencode');?> </h3>
                              <p> <?php _e( 'Get some amazing Divi module which will help you to embed PDF viewers easily right from you Divi builder. Check this out now.', 'pdf-viewer-by-themencode');?></p>
                        </div>
                        <div class="item-btn">
                             <a target="_blank" href="<?php echo esc_url($divi_url);?>"><?php _e( 'Buy Now', 'pdf-viewer-by-themencode');?></a>
                         </div>
                  </div>
                  <div class="addon-integration-item">
                       <div class="image-wrap">
                          <img src="<?php echo $avada_image; ?>" alt=""> 
                          <h4>  <?php _e( 'Avada PDF Viewer', 'pdf-viewer-by-themencode');?> </h4>
                        </div>
                        <div class="item-content">
                              <h3><?php _e( 'No need to work with the boring editors anymore to embed PDF. Do it right from your Avada builder.', 'pdf-viewer-by-themencode');?> </h3>
                              <p>  <?php _e( ' Use this Addon and you will get several elements to show the PDF viewer in many ways. Embed PDF viewer or create a link or image link and many more.', 'pdf-viewer-by-themencode');?></p>
                        </div>
                        <div class="item-btn">
                            <a target="_blank" href="<?php echo esc_url($avada_url);?>"><?php _e( 'Buy Now', 'pdf-viewer-by-themencode');?></a>
                        </div>
                  </div>
                  <div class="addon-integration-item">
                       <div class="image-wrap">
                          <img src="<?php echo  $elementor_image; ?>" alt=""> 
                          <h4> <?php _e( 'Elementor PDF Viewer', 'pdf-viewer-by-themencode');?> </h4>
                        </div>
                        <div class="item-content">
                              <h3> <?php _e('Using Elementor Page Builder to create your website? Use this Addon and embed PDF easily.', 'pdf-viewer-by-themencode');?> </h3>
                              <p> <?php _e('This Addon has various elements which will ease the process of showing PDF on your website in different manner. Save your time and work.', 'pdf-viewer-by-themencode');?></p>
                        </div>
                        <div class="item-btn">
                            <a target="_blank" href="<?php echo esc_url($elementor_url);?>"><?php _e( 'Buy Now', 'pdf-viewer-by-themencode');?></a>
                        </div>
                  </div>
                  <div class="addon-integration-item">
                       <div class="image-wrap">
                          <img src="<?php echo $display_image; ?>" alt=""> 
                          <h4> <?php _e( 'Display PDF Viewer', 'pdf-viewer-by-themencode');?> </h4>
                        </div>
                        <div class="item-content">
                              <h3> <?php _e( ' Want to showcase your PDF files as a BookShelf or as a list/grid of items? Check this out', 'pdf-viewer-by-themencode');?></h3>
                              <p> <?php _e( 'Bookshelf is the most unique and stylish way of presenting your PDF files in front of your visitors. There is PopUp mode so that the visitors don’t need to leave the page. There are also list/grid view options.', 'pdf-viewer-by-themencode');?></p>
                        </div>
                        <div class="item-btn">
                                <a target="_blank" href="<?php echo esc_url( $display_url );?>"><?php _e( ' Buy Now', 'pdf-viewer-by-themencode');?></a>
                         </div>
                  </div>
                  <div class="addon-integration-item">
                       <div class="image-wrap">
                          <img src="<?php echo $wpbakery_image; ?>" alt=""> 
                          <h4><?php _e( 'WpBakery PDF Viewer', 'pdf-viewer-by-themencode');?></h4>
                        </div>
                        <div class="item-content">
                              <h3><?php _e( 'PDF viewer Shortcode creation process became even simpler for WPBakery Page Builder users.', 'pdf-viewer-by-themencode');?></h3>
                              <p><?php _e( 'If you are using WPBakery page builder on your website, you can get this addon to generate PDF Viewer shortcodes using WPBakery Page Builder interface.', 'pdf-viewer-by-themencode');?></p>
                        </div>
                        <div class="item-btn">
                          <a target="_blank" href="<?php echo esc_url($wpbakery_url);?>"><?php _e( 'Buy Now', 'pdf-viewer-by-themencode');?> </a>
                        </div>
                  </div>
                  <div class="addon-integration-item">
                       <div class="image-wrap">
                          <img src="<?php echo $wpfile_image;?>" alt=""> 
                          <h4> <?php _e( 'WP File Access Manager', 'pdf-viewer-by-themencode');?></h4>
                        </div>
                        <div class="item-content">
                              <h3><?php _e( ' Allows you to restrict access to specific audience.', 'pdf-viewer-by-themencode');?></h3>
                              <p><?php _e( 'If you want to restrict access to your media library files by user login/role/woocommerce purchase or paid memberships pro level, this plugin is for you!', 'pdf-viewer-by-themencode');?></p>
                        </div>
                        <div class="item-btn">
                            <a target="_blank" href="<?php echo esc_url($wpfile_url);?>"> <?php _e( 'Buy Now', 'pdf-viewer-by-themencode');?> </a>
                         </div>
                  </div>
                  <div class="addon-integration-item">
                       <div class="image-wrap">
                          <img src="<?php echo  $navigative_image; ?>" alt=""> 
                          <h4> <?php _e( 'Navigative PDF Viewer', 'pdf-viewer-by-themencode');?> </h4>
                        </div>
                        <div class="item-content">
                              <h3> <?php _e( 'If you want to have Multiple pdf files load on a single page, this addon is for you.', 'pdf-viewer-by-themencode');?></h3>
                              <p> <?php _e( "This addon is useful if you want to have one viewer on a page but open multiple pdf's according to users click. You can have a list of PDF links on the sidebar using a widget.", "pdf-viewer-by-themencode");?> </p>
                        </div>
                        <div class="item-btn">
                             <a target="_blank" href="<?php  echo esc_url($navigative_url);?>"> <?php _e( 'Buy Now', 'pdf-viewer-by-themencode');?></a>
                        </div>
                    </div>
                    <div class="addon-integration-item">
                       <div class="image-wrap">
                          <img src="<?php echo $preview_image; ?>" alt=""> 
                          <h4> <?php _e( 'Preview – PDF viewer', 'pdf-viewer-by-themencode');?> </h4>
                        </div>
                        <div class="item-content">
                              <h3> <?php _e( 'Preview PDF viewer For WordPress Addon is the perfect solution for showcasing PDF files on your website with a more selective approach.', 'pdf-viewer-by-themencode');?></h3>
                              <p> <?php _e( "this addon, you can select specific pages of a PDF file and set restrictions for viewers.", "pdf-viewer-by-themencode");?> </p>
                        </div>
                        <div class="item-btn">
                             <a target="_blank" href="<?php  echo esc_url($preview_url);?>"> <?php _e( 'Buy Now', 'pdf-viewer-by-themencode');?></a>
                        </div>
                    </div>
                  </div>
               </div>
         </div>
     </div>
<?php
}




